[arch-commits] CVS update of extra/system/gcc34 (3 files)
Tobias Powalowski
tpowa at archlinux.org
Mon Jul 9 22:44:35 UTC 2007
Date: Monday, July 9, 2007 @ 18:44:35
Author: tpowa
Path: /home/cvs-extra/extra/system/gcc34
Added: PKGBUILD (1.1) gcc-3.3-pure64.patch (1.1)
gcc-localeversion.patch (1.1)
'upgpkg: moved in for qemu building'
-------------------------+
PKGBUILD | 49 ++++++++++++++++++++++++++++++++++++++++++++++
gcc-3.3-pure64.patch | 34 +++++++++++++++++++++++++++++++
gcc-localeversion.patch | 40 +++++++++++++++++++++++++++++++++++++
3 files changed, 123 insertions(+)
Index: extra/system/gcc34/PKGBUILD
diff -u /dev/null extra/system/gcc34/PKGBUILD:1.1
--- /dev/null Mon Jul 9 18:44:35 2007
+++ extra/system/gcc34/PKGBUILD Mon Jul 9 18:44:35 2007
@@ -0,0 +1,49 @@
+# $Id: PKGBUILD,v 1.1 2007/07/09 22:44:35 tpowa Exp $
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+pkgname=gcc34
+pkgver=3.4.6
+pkgrel=1
+#_snapshot=4.1-20060519
+pkgdesc="The GNU Compiler Collection"
+arch=(i686 x86_64)
+url="http://gcc.gnu.org"
+depends=('libstdc++5' 'gcc')
+options=('!libtool')
+source=(ftp://gcc.gnu.org/pub/gcc/releases/gcc-${pkgver}/gcc-{core,g++}-${pkgver}.tar.bz2 \
+ gcc-localeversion.patch gcc-3.3-pure64.patch)
+
+build() {
+ export MAKEFLAGS="-j1"
+ # use "defaults" CFLAGS and CXXFLAGS
+ export CFLAGS="-march=i686 -O2 -pipe"
+ export CXXFLAGS="-march=i686 -O2 -pipe"
+
+ cd ${startdir}/src/gcc-${pkgver}
+
+ patch -Np0 -i ${startdir}/src/gcc-localeversion.patch || return 1
+
+ if [ "${CARCH}" = "x86_64" ]; then
+ patch -Np1 -i ../gcc-3.3-pure64.patch || return 1
+ fi
+
+ # Don't run fixincludes
+ sed -i -e 's@\./fixinc\.sh at -c true@' gcc/Makefile.in
+ # Don't install libiberty
+ sed -i 's/install_to_$(INSTALL_DEST) //' libiberty/Makefile.in
+
+ mkdir ../gcc-build
+ cd ../gcc-build
+ ../gcc-${pkgver}/configure --prefix=/usr --enable-shared \
+ --enable-languages=c,c++ --enable-threads=posix \
+ --enable-__cxa_atexit --disable-multilib --libdir=/usr/lib \
+ --enable-clocale=gnu --program-suffix=-3.4
+
+ make bootstrap || return 1
+ make DESTDIR=${startdir}/pkg install || return 1
+
+ rm -f ${startdir}/pkg/usr/lib/lib{stdc++,supc++,gcc_s}.*
+ rm -f ${startdir}/pkg/usr/share/locale/*/LC_MESSAGES/libstdc++.mo
+ rm -rf ${startdir}/pkg/usr/man/man7
+ #mv ${startdir}/pkg/usr/man/man1/cpp.1 ${startdir}/pkg/usr/man/man1/cpp-3.4.1
+ #mv ${startdir}/pkg/usr/man/man1/gcov.1 ${startdir}/pkg/usr/man/man1/gcov-3.4.1
+}
Index: extra/system/gcc34/gcc-3.3-pure64.patch
diff -u /dev/null extra/system/gcc34/gcc-3.3-pure64.patch:1.1
--- /dev/null Mon Jul 9 18:44:35 2007
+++ extra/system/gcc34/gcc-3.3-pure64.patch Mon Jul 9 18:44:35 2007
@@ -0,0 +1,34 @@
+Submitted By: Jim Gifford (patches at jg555 dot com)
+Date: 2005-08-27
+Initial Package Version: 4.x
+Origin: Ken Moffat and Jim Gifford
+ Rediffed against 4.1.0 by Chris Staub
+Upstream Status: LFS Specific
+Description: Make LIB64 builds in /lib instead of /lib64
+
+diff -Naur gcc-4.1.0.orig/gcc/config/i386/linux64.h gcc-4.1.0/gcc/config/i386/linux64.h
+--- gcc-4.1.0.orig/gcc/config/i386/linux64.h 2005-08-10 13:53:01.000000000 -0400
++++ gcc-4.1.0/gcc/config/i386/linux64.h 2006-03-01 01:13:54.000000000 -0500
+@@ -60,8 +60,8 @@
+ %{!shared: \
+ %{!static: \
+ %{rdynamic:-export-dynamic} \
+- %{m32:%{!dynamic-linker:-dynamic-linker /lib/ld-linux.so.2}} \
+- %{!m32:%{!dynamic-linker:-dynamic-linker /lib64/ld-linux-x86-64.so.2}}} \
++ %{m32:%{!dynamic-linker:-dynamic-linker /lib32/ld-linux.so.2}} \
++ %{!m32:%{!dynamic-linker:-dynamic-linker /lib/ld-linux-x86-64.so.2}}} \
+ %{static:-static}}"
+
+ /* Similar to standard Linux, but adding -ffast-math support. */
+diff -Naur gcc-4.1.0.orig/gcc/config/i386/t-linux64 gcc-4.1.0/gcc/config/i386/t-linux64
+--- gcc-4.1.0.orig/gcc/config/i386/t-linux64 2005-08-10 13:53:01.000000000 -0400
++++ gcc-4.1.0/gcc/config/i386/t-linux64 2006-03-01 01:13:54.000000000 -0500
+@@ -6,7 +6,7 @@
+
+ MULTILIB_OPTIONS = m64/m32
+ MULTILIB_DIRNAMES = 64 32
+-MULTILIB_OSDIRNAMES = ../lib64 ../lib
++MULTILIB_OSDIRNAMES = ../lib ../lib32
+
+ LIBGCC = stmp-multilib
+ INSTALL_LIBGCC = install-multilib
Index: extra/system/gcc34/gcc-localeversion.patch
diff -u /dev/null extra/system/gcc34/gcc-localeversion.patch:1.1
--- /dev/null Mon Jul 9 18:44:35 2007
+++ extra/system/gcc34/gcc-localeversion.patch Mon Jul 9 18:44:35 2007
@@ -0,0 +1,40 @@
+--- gcc/intl.c.orig 2006-10-18 19:09:47.000000000 +0000
++++ gcc/intl.c 2006-10-18 19:16:47.000000000 +0000
+@@ -39,8 +39,8 @@
+ setlocale (LC_ALL, "");
+ #endif
+
+- (void) bindtextdomain ("gcc", LOCALEDIR);
+- (void) textdomain ("gcc");
++ (void) bindtextdomain (PACKAGE, LOCALEDIR);
++ (void) textdomain (PACKAGE);
+ }
+
+ #endif
+--- gcc/Makefile.in.orig 2006-10-18 19:21:58.000000000 +0000
++++ gcc/Makefile.in 2006-10-18 19:22:12.000000000 +0000
+@@ -2172,6 +2172,7 @@
+ intl.o: intl.c $(CONFIG_H) system.h intl.h Makefile
+ $(CC) $(ALL_CFLAGS) $(ALL_CPPFLAGS) $(INCLUDES) \
+ -DLOCALEDIR=\"$(localedir)\" \
++ -DPACKAGE=\"$(PACKAGE)\" \
+ -c $(srcdir)/intl.c $(OUTPUT_OPTION)
+
+ $(top_builddir)/intl/libintl.a: intl.all
+@@ -2479,6 +2480,7 @@
+ # Remake the info files.
+
+ doc: $(BUILD_INFO) $(GENERATED_MANPAGES) gccbug
++iv := -$(shell echo $(version) | awk -F. '{printf "%s.%s",$$1,$$2}')
+
+ INFOFILES = doc/cpp.info doc/gcc.info doc/gccint.info \
+ doc/gccinstall.info doc/cppinternals.info
+@@ -3694,7 +3696,7 @@
+ GMSGFMT = @GMSGFMT@
+ MSGMERGE = msgmerge
+
+-PACKAGE = @PACKAGE@
++PACKAGE = @PACKAGE@$(iv)
+ CATALOGS = @CATALOGS@
+
+ .PHONY: build- install- build-po install-po update-po
More information about the arch-commits
mailing list